Bug 498706 - [stardict] key bindings don't work after restart
[stardict] key bindings don't work after restart
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: stardict (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: anish
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 05:14 EDT by Pavel Alexeev
Modified: 2012-07-09 02:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 02:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-05-02 05:14:53 EDT
Description of problem:
Stardict save keybindings, but its do not work after restart and require reset it after each boot.

Version-Release number of selected component (if applicable):
# rpm -q stardict
stardict-3.0.1-9.fc9.i386

How reproducible:
Stardict load after boot by any DE (or restored within session). Go to Preferencies, setup Modifier with wich scan will be doing. Close setting window.
After that all work fine in this session. After restart computer, scan window do not appear when defined keys pressed. But, when going into preferencies, defined keys saved (sic!) and start working just after close window without any manipulations with it!
Comment 1 Caius Chance 2009-05-05 00:11:07 EDT
Tested on rawhide (5 MAY 09) this bug is not reproducible.

Tested on F10 w/ latest updates also this bug is not reproducible.

Please update your version to F10 or coming up F11.
Comment 2 Pavel Alexeev 2009-05-05 02:27:31 EDT
On my notebook with fully up to date Fedora 10 the problem also 100% reproducible always.
Comment 3 Pavel Alexeev 2009-05-05 02:29:20 EDT
And may be have sense what I use it in XFCE desktop environment? And it is also start from its saved session.
Comment 4 Caius Chance 2009-05-05 02:34:02 EDT
(In reply to comment #2)
> On my notebook with fully up to date Fedora 10 the problem also 100%
> reproducible always.  

You tested it on Gnome? I am not too sure about XFCE mechanisms.
Comment 5 Pavel Alexeev 2009-05-05 02:38:52 EDT
No, I have not Gnome at all. But in KDE bug the same.
Comment 6 Caius Chance 2009-05-20 03:44:37 EDT
I have just tested on XFCE but and the key bindings worked also. I am using XFCE 4.43 and stardict 3.0.1.

Which key did you use? FYI, the pop up window will not appear if you are not highlighting new contents. And modifier key may clashed with hotkeys of applications that made the key not functioning.
Comment 7 Pavel Alexeev 2009-05-20 04:54:40 EDT
Versions:
$ rpm -qa 'xfce*' stardict
xfce-utils-4.4.3-1.fc10.i386
xfce-mcs-plugins-4.4.3-1.fc10.i386
xfce4-systemload-plugin-0.4.2-4.fc9.i386
xfce4-cpugraph-plugin-0.4.0-3.fc9.i386
xfce4-verve-plugin-0.3.6-1.fc10.i386
xfce4-mixer-4.4.3-2.fc10.i386
stardict-3.0.1-13.fc10.i386
xfce4-session-engines-4.4.3-1.fc10.i386
xfce4-netload-plugin-0.4.0-7.fc9.i386
xfce4-datetime-plugin-0.6.1-1.fc10.i386
xfce4-session-4.4.3-1.fc10.i386
xfce4-appfinder-4.4.3-1.fc10.i386
xfce4-clipman-plugin-0.8.1-1.fc9.i386
xfce4-wavelan-plugin-0.5.4-4.fc9.i386
xfce4-notes-plugin-1.6.3-1.fc10.i386
xfce4-places-plugin-1.1.0-3.fc10.i386
xfce4-panel-4.4.3-1.fc10.i386
xfce-mcs-manager-4.4.3-1.fc10.1.i386
xfce4-icon-theme-4.4.3-1.fc10.noarch
xfce4-battery-plugin-0.5.1-1.fc10.i386

I use "Alt + Ctrl" key combinations. Is it have any matter?
I think it is not conflict in any in system... But how I can check it for insurance?
And, off course, I press keys after select some word.
Comment 8 Jens Petersen 2009-08-16 21:43:12 EDT
Does it also happen for you in F11?
Comment 9 Pavel Alexeev 2009-08-17 06:19:25 EDT
Yes, it is.

Before first use it in session I go to reassign it.
Comment 10 Bug Zapper 2010-04-27 10:04:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Pavel Alexeev 2010-04-27 11:36:52 EDT
It still reproduced
Comment 12 Fedora Admin XMLRPC Client 2010-07-14 20:32:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2010-11-10 00:58:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Akira TAGOH 2011-05-24 08:30:28 EDT
Any updates on this issue?
Comment 15 Bug Zapper 2011-06-02 14:07:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Akira TAGOH 2011-06-08 03:27:42 EDT
I may be missing something, but it seems working fine on f15, stardict-3.0.1-22.fc15.x86_64 and on XFCE desktop.
Comment 17 Pavel Alexeev 2011-06-25 05:13:33 EDT
It is still actual. But desire use of stardict less and less...
Comment 18 Fedora Admin XMLRPC Client 2011-06-26 22:06:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Akira TAGOH 2011-11-21 03:08:42 EST
Does this still happens on f16 say? if so, can you also try that on a new user to check if it's related to the user-side configuration or something like that?
Comment 20 Pavel Alexeev 2011-12-04 09:18:46 EST
I'm don't use stardict initially from this problem many times. So, I can't check it.
Comment 21 Jens Petersen 2012-05-10 21:35:47 EDT
Moving to new owner of current releases.

Anish, these bugs are currently still against Fedora 14.
It would be good to triage them more carefully when you have time
and then either move them to newer releases if fixable
or otherwise close.
Comment 22 anish 2012-06-28 02:18:54 EDT
I tried to reproduce this issue with GNOME on fedora 17.
Changed key sequence to ALT-X , even after rebooting machine , it worked
Could not reproduce it

Note You need to log in before you can comment on or make changes to this bug.